package dao;

public abstract class DAOFactory {

	
	
	// --- Actual factory method ---
	
	/**
	 * Depending on the input parameter
	 * this method returns one out of several possible 
	 * implementations of this factory spec
	 */
	public static DAOFactory getDAOFactory(String factoryClassName) {
		try {
			return (DAOFactory) Class.forName(factoryClassName).newInstance();
		}
		catch (Exception e) {
			System.out.println(e.getMessage());
			e.printStackTrace();
			return null;
		}
	}
	
	
	
	// --- Factory specification: concrete factories implementing this spec must provide this methods! ---


	public abstract DefinizioniDAO getDefinizioniDAO();

}
